/* Initialisation d'un damier de jeu de dames  */
/* 'B' pour pion blanc                         */
/* 'N' pour pion blanc                         */
/* '.' pour case vide                          */
/* Affichage du tableau apres initialisation   */

public class TableauDamierEnConsole {

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("TableauDamier");
    char [][] damier = new char[10][10];
    int nbl = damier.length;
    int nbc = damier[0].length;
    int i,j;
    for ( i = 0 ; i < nbl ; i = i+1 ) {
      for ( j = 0 ; j < nbc ; j = j+1 ) {
        damier[i][j] = '.'; } }
    for ( i = 0 ; i <= 8 ; i = i+2 ) {
      damier[i][0] = 'N';
      damier[i+1][1] = 'N';
      damier[i][2] = 'N';
      damier[i+1][3] = 'N';
      damier[i+1][9] = 'B';
      damier[i][8] = 'B';
      damier[i+1][7] = 'B';
      damier[i][6] = 'B'; }
    for ( i = 0 ; i < nbl ; i = i+1 ) {
      for ( j = 0 ; j < nbc ; j = j+1 ) {
        Console.afficher(damier[i][j]," "); }
      Console.sautDeLigne(); }
  }
}